.step {
    flex: 1;
    min-height: 4px;
    position: relative;
    display: flex;
}

.step .progress {
    display: inline-block;
    width: 25%;
    height: 4px;
}

.step .progress.completed {
    background-color: #87b209;
}

.step .progress.processing {
    background-color: #3864AA;
}

.step .progress.queued {
    background-color: #88497e;
}

.step .progress.stopped {
    background-color: #ffdd00;
}

.step .progress.skipped {
    background-color: #696f74;
}

.step .progress.error {
    background-color: #FF3719;
}

.step.extended .back,
.step.extended .progress {
    height: 20px;
}

.step .title {
    position: absolute;
    left: 0px;
    line-height: 20px;
    color: #fff;
    text-align: center;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
